USN-6126-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6126-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6126-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6126-1
Related
Published
2023-05-31T11:38:52.275962Z
Modified
2023-05-31T11:38:52.275962Z
Summary
libvirt vulnerabilities
Details

It was discovered that libvirt incorrectly handled the nwfilter driver. A local attacker could possibly use this issue to cause libvirt to crash, resulting in a denial of service. This issue only affected Ubuntu 22.04 LTS. (CVE-2022-0897)

It was discovered that libvirt incorrectly handled queries for the SR-IOV PCI device capabilities. A local attacker could possibly use this issue to cause libvirt to consume resources, leading to a denial of service. (CVE-2023-2700)

References

Affected packages

Ubuntu:22.04:LTS / libvirt

Package

Name
libvirt

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8.0.0-1ubuntu7.5

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libvirt-daemon-driver-storage-rbd": "8.0.0-1ubuntu7.5",
            "libvirt-doc": "8.0.0-1ubuntu7.5",
            "libvirt-sanlock": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-system-systemd": "8.0.0-1ubuntu7.5",
            "libvirt-dev": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-config-network": "8.0.0-1ubuntu7.5",
            "libvirt-clients": "8.0.0-1ubuntu7.5",
            "libvirt0": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-driver-storage-zfs": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-driver-vbox": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-config-nwfilter": "8.0.0-1ubuntu7.5",
            "libvirt-wireshark": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-system-sysv": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-driver-storage-iscsi-direct": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-driver-qemu": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-system": "8.0.0-1ubuntu7.5",
            "libnss-libvirt": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-driver-lxc": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-driver-storage-gluster": "8.0.0-1ubuntu7.5",
            "libvirt-login-shell": "8.0.0-1ubuntu7.5",
            "libvirt-daemon": "8.0.0-1ubuntu7.5",
            "libvirt-daemon-driver-xen": "8.0.0-1ubuntu7.5"
        }
    ]
}